<template>
  <v-card>
    <v-card-title>CI/CD Integration Settings</v-card-title>
    <v-card-text>
      <v-container>
        <v-row>
          <!-- CI/CD Server URL -->
          <v-col cols="12" md="6">
            <v-text-field
              v-model="ciCdSettings.serverUrl"
              label="CI/CD Server URL"
              required
            ></v-text-field>
          </v-col>

          <!-- Authentication Token -->
          <v-col cols="12" md="6">
            <v-text-field
              v-model="ciCdSettings.authToken"
              label="Authentication Token"
              required
            ></v-text-field>
          </v-col>

          <!-- Default Branch -->
          <v-col cols="12" md="6">
            <v-text-field
              v-model="ciCdSettings.defaultBranch"
              label="Default Branch"
            ></v-text-field>
          </v-col>

          <!-- Build Trigger Options -->
          <v-col cols="12" md="6">
            <v-select
              v-model="ciCdSettings.buildTrigger"
              :items="buildTriggerOptions"
              label="Build Trigger"
            ></v-select>
          </v-col>

          <!-- Environment Variables -->
          <v-col cols="12">
            <v-subheader>Environment Variables</v-subheader>
            <v-row v-for="(envVar, index) in ciCdSettings.envVars" :key="index">
              <v-col cols="5">
                <v-text-field
                  v-model="envVar.key"
                  label="Key"
                ></v-text-field>
              </v-col>
              <v-col cols="5">
                <v-text-field
                  v-model="envVar.value"
                  label="Value"
                ></v-text-field>
              </v-col>
              <v-col cols="2">
                <v-btn icon @click="removeEnvVar(index)">
                  <v-icon>mdi-delete</v-icon>
                </v-btn>
              </v-col>
            </v-row>
            <v-btn text @click="addEnvVar">Add Environment Variable</v-btn>
          </v-col>
        </v-row>
      </v-container>
    </v-card-text>
    <v-card-actions>
      <v-btn color="primary" @click="saveCiCdSettings">Save</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      ciCdSettings: {
        serverUrl: '',
        authToken: '',
        defaultBranch: '',
        buildTrigger: '',
        envVars: [{ key: '', value: '' }]
      },
      buildTriggerOptions: ['Manual', 'On Commit', 'Scheduled']
    };
  },
  methods: {
    saveCiCdSettings() {
      // Implement saving CI/CD settings logic
    },
    addEnvVar() {
      this.ciCdSettings.envVars.push({ key: '', value: '' });
    },
    removeEnvVar(index) {
      this.ciCdSettings.envVars.splice(index, 1);
    }
  }
};
</script>

<style scoped>
/* Custom styles */
</style>
